当在aix6.1 TL04下安装oracle10g补丁时,出现java进程正在被使用的报错,安装无法…

教程发布:风哥 教程分类:ITPUX技术网 更新日期:2022-02-12 浏览学习:172

作者:

1 概述
问题简述:当在aix6.1 TL04下安装oracle10g补丁时,出现java进程正在被使用的报错,安装无法继续进行。
操作系统:aix6.1 TL04
数据库:oracle10g或oracle11g
[@more@]2 问题描述
当在aix6.1 TL04下安装oracle10补丁时,出现java进程正在被使用的报错,安装无法继续进行。报错信息如下:
INFO: Oracle Universal Installer has detected that there are processes running in the currently selected Oracle Home. The following processes need to be shutdown before continuing:
java
查看操作系统的java进程,发现只有Oracle patch安装进程使用了java,OUI安装程序做了错误的检测。
3 处理过程
3.1 查询资料
查询metalink文档980602.1,明确这是ORACLE BUG:9227281
Applies to:
Oracle Universal Installer - Version:10.2.0.2.0 to 11.1.0.7 - Release: 10.2 to 11.1
IBM AIX on POWER Systems (64-bit)
Symptoms
Installing patchset on AIX 6.1 TL04 fails with:
INFO: Oracle Universal Installer has detected that there are processes running in the currently selected Oracle Home. The following processes need to be shutdown before continuing:
java
The java process running is the Installer itselt.
This problem has been reproduced installing10.2.0.4 and 11.1.0.7 patchset, but it could affect to other patchsets.
Cause
This seems a IBM issue at the fuser coming with AIX 6.1 ML4 SP1.
Two Oracle bugs were created to investigate this issue:
Bug.9227281- OUI10.2.0.4 DETECTS JAVA PROCESS RUNNING ON ORACLE_HOME AIX 610
Unpublished Bug.9228329 - 11.1.0.7 OUI FAILS TO DETECT RUNNING PROCESSES CORRECTLY ON AIX 6.1 ML 4 SP1
3.2 解决方法
Solution
IBM has released AIX patch to solve the issue:
IZ67400: FUSER GIVES INCORRECT PIDS WITH -X OPTION
Registration is required to review patch IZ67400 on IBM web site.
Also, next workaround could be used:
As root:
1) rename fuser
mv /usr/sbin/fuser /usr/sbin/fuser_renamed
2) touch /usr/sbin/fuser
3) chmod +x /usr/sbin/fuser
As oracle software owner:
1) Try to install the patchset (fuser can now return nothing, hence the Installer should continue)
After successful install, as root:
1) rename fuser back to its original name
mv /usr/sbin/fuser_renamed /usr/sbin/fuser
4 总结
这是Oracle与AIX6.1之间的又一个较严重的兼容性问题,AIX6100-04-04-1014已解决。解决这个问题有两个方案:
1. 升级AIX到6100-04-04-1014以上版本
2. 临时解决方案,把fuser命令改名,安装完patch后再恢复

本文标签:
网站声明:本文由风哥整理发布,转载请保留此段声明,本站所有内容将不对其使用后果做任何承诺,请读者谨慎使用!
【上一篇】
【下一篇】